org.eclipse.jgit.transport

## Class DaemonClient

- java.lang.Object
- - org.eclipse.jgit.transport.DaemonClient

    public class DaemonClient
    extends Object

Active network client of `Daemon`.

### Method Summary

All Methods Instance Methods Concrete Methods
`Daemon` `getDaemon()`
`InputStream` `getInputStream()`
`OutputStream` `getOutputStream()`
`InetAddress` `getRemoteAddress()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getDaemon

    public Daemon getDaemon()

Returns:
  the daemon which spawned this client.

#### getRemoteAddress

    public InetAddress getRemoteAddress()

Returns:
  Internet address of the remote client.

#### getInputStream

    public InputStream getInputStream()

Returns:
  input stream to read from the connected client.

#### getOutputStream

    public OutputStream getOutputStream()

Returns:
  output stream to send data to the connected client.